Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000032 [Piwigo] language feature N/A 2004.06.09 11:59 2010.05.05 00:34
Reporter rych View Status public  
Assigned To rvelices
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.0.0 Product Version
  Target Version Product Build
Summary 0000032: Unicode support
Description These are the steps towards multibyte (utf-8) string support.
 
The name, author, keyword, description field.
in admin/picture_modify.php and other files:
add the encoding argument to htmlentities(... ,"UTF-8") or remove the call to the htmlentities altogether.
http://php.net/manual/en/function.htmlentities.php [^]

URL encoding
everywhere where a string is added to an $url after "search="
enclose it in function calls htmlentities(urlencode()), e.g.,
&search='.$_GET['search'].
is replaced with
&search='.htmlentities(urlencode($_GET['search'])).

Search form:
in search.php:
replace the preg_split line
with
$words = preg_split( "%[\s,]+%uix", $_POST['search'], -1, PREG_SPLIT_NO_EMPTY);
u is a Unicode modifier, see http://www.php.net/manual/en/pcre.pattern.modifiers.php [^]

Optionally, in the language/<yourlanguage>.php make sure that
$lang['charset'] = 'utf-8';

Optionally, remove fr from language attribute to xmlns in header.vtp if your language isn't French.

That's it.

Could you check-in this fix in the next release?
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships
related to 0000555closed charset in installation page 

-  Notes
(0000017)
rych (reporter)
2004.06.09 12:03

working Unicode-enabled gallery:
http://rych.dnsalias.com/pwg/ [^]
(0000104)
plg (manager)
2005.03.16 23:20

Feature request reported to branch 1.5 scope. I'd like unicode as charset and utf8 as encoding to become the standard in PhpWebGallery.
(0002004)
plg (manager)
2007.10.09 23:37

In [Subversion] r2130, fr_FR.iso-8859-1 and en_UK.iso-8859-1 become utf-8 content.
(0002005)
rvelices (developer)
2007.10.10 00:58
edited on: 2008.06.04 22:10

pierrick, you've assigned me to this entry, but I don't understand what I have to do.

(0002233)
plg (manager)
2008.06.04 22:13

rvelices wrote:

> pierrick, you've assigned me to this entry, but I don't understand
> what I have to do.

Things have deeply changed concerning encoding in PWG on Butterfly. We've completely switched to utf-8, right?

As you are the main developer on this migration to utf-8, I want you to close this entry if you think the user request is completed, or else tell us what remains to achieve before closing this request.

- Issue History
Date Modified Username Field Change
2004.06.09 11:59 rych New Issue
2004.06.09 12:03 rych Note Added: 0000017
2005.03.16 23:20 plg Note Added: 0000104
2005.03.16 23:20 plg Assigned To => plg
2005.03.16 23:20 plg Reproducibility always => N/A
2005.03.16 23:20 plg Status new => acknowledged
2005.03.16 23:20 plg version 1.4 => 1.5
2005.03.16 23:20 plg Status acknowledged => assigned
2007.10.09 23:37 plg Note Added: 0002004
2007.10.09 23:37 plg Assigned To plg => rvelices
2007.10.09 23:37 plg version 1.5 branch =>
2007.10.10 00:58 rvelices Note Added: 0002005
2007.10.10 00:58 rvelices Status assigned => feedback
2008.06.04 22:10 plg Note Edited: 0002005
2008.06.04 22:10 plg Relationship added related to 0000555
2008.06.04 22:13 plg Note Added: 0002233
2010.05.05 00:34 plg Status feedback => closed
2010.05.05 00:34 plg Resolution open => fixed
2010.05.05 00:34 plg Fixed in Version => 2.0.0


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker